Skip to main content
PUT
/
api
/
ContactMethod
/
{contactMethodId}
Update a Contact Method
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "value": "<string>",
  "isOptedIn": "<boolean>",
  "setAsPrimary": "<boolean>"
}
'
{
  "id": "<integer>",
  "type": "<string>",
  "value": "<string>",
  "isOptedIn": "<boolean>",
  "isPrimary": "<boolean>",
  "canBePrimary": "<boolean>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactMethodId
string
required

(Required) The contact method identifier.

Body

application/json
type
string
value
string
isOptedIn
string
setAsPrimary
string

Response

OK

id
string
type
string
value
string
isOptedIn
string
isPrimary
string
canBePrimary
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
Last modified on April 24, 2026